[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TCommonDialog.ResetShowCloseFlags

Resets the values in internal state flags for the dialog.

## Declaration

Source position: dialogs.pp line 114

`protected procedure TCommonDialog.ResetShowCloseFlags;`

## Description

Called from the Execute method before the widgetset Handle is allocated and the dialog is displayed.

## See also

TCommonDialog.Execute |  | Displays the dialog and captures the result.
TCommonDialog.Handle |  | Contains the handle for the dialog form.
TCommonDialog.DoExecute |  | The function that actually takes care of executing the dialog.